

<!--
**  $Id: troubleshooting.html 4366 2010-08-03 18:21:39Z edmanm $
** 
**  This file is part of Vidalia, and is subject to the license terms in the
**  LICENSE file, found in the top level directory of this distribution. If 
**  you did not receive the LICENSE file with this file, you may obtain it
**  from the Vidalia source package distributed by the Vidalia Project at
**  http://www.vidalia-project.net/. No part of Vidalia, including this file,
**  may be copied, modified, propagated, or distributed except according to
**  the terms described in the LICENSE file.
-->
<html>
<body>

<h1>إستكشاف الأخطاء وإصلاحها</h1>
<hr />

المدرجة أدناه هي بعض من المشاكل أو الأسئلة الأكثر شيوعا لدى الناس أثناء
تشغيل تور. إذا لم تتمكن من العثور على أي شيء حول مشكلة معينة تواجهك, راجع
موقعنا على شبكة الإنترنت على <i>www.vidalia-project.net</i> للمزيد من الدعم
والمعلومات.  <a name="start"/>
<h3>لا أستطيع تشغيل تور</h3>
<p>
السبب الأكثر احتمالا أن فيداليا لا يستطيع تشغيل تورهو لأن فيداليا يبحث عن
تثبيت تور الخاص بك في الدليل الخاطئ. يمكنك إخبار فيداليا عن موقع تور عن طريق
تحديث خيار <i>تور التنفيذي</i> في <a href="config.html#general">إعدادات
التكوين العامة</a>.
</p>
<p>
السبب المحتمل الآخر وراء عدم إمكانية تشغيل تور هو أن هناك عملية تور أخرى قيد
التشغيل. تحقق من قائمة العمليات قيد التشغيل الخاصة بك وأوقف عملية تور
السابقة، اذا وجد. ثم، حاول تشغيل تور مرة أخرى.
</p>
<p>
إذا لم يساعد ذلك, تحقق من <a href="log.html">سجل الرسالة</a> الخاص بك لمعرفة
اذا قام تور بطباعة أية معلومات حول الأخطاء التي حصلت أثناء محاولة التشغيل.
</p>

<a name="connect"/>
<h3>لا يستطيع فيداليا الاتصال بتور</h3>
<p>
يقوم فيداليا بإدارة تور عن طريق الاتصال معه عبر <i>منفذ التحكم</i>لتور. 
</p>
<p>
السبب الأكثر شيوعا وراء عدم إستطاعة فيداليا الاتصال بتور هو ان تور بدأ, لكن
واجهه خطأ وخرج على الفور. ينبغي عليك التحقق من <a href="log.html">سجل
الرسالة</a> الخاص بك لمعرفة اذا كان تور أبلغ عن أي أخطاء في الوقت الذي بدأ
به.
</p>
<p>
إذا كان تور يستمع على منفذ مختلف عن الذي توقّعه فيداليا, سوف يكون فيداليا
غير قادر على الاتصال بتور. نادرا ما تحتاج إلى تغيير هذا الإعداد, لكن إذا
كانت هناك خدمة أخرى تعمل على جهازك تتعارض مع منفذ تحكم تور, سوف تحتاج الى
تحديد منفذ آخر. يمكنك تغيير هذا الاعداد في اعدادات التكوين <a
href="config.html#advanced">المتقدمة لفيداليا</a>.
</p>

<a name="password"/>
<h3>لماذا يسألني فيداليا عن "كلمة مرور التحكم"؟</h3>
<p>
يتفاعل فيداليا مع برنامج تور عن طريق "منفذ التحكم" لتور. يتيح منفذ التحكم
لفيداليا بتلقي تحديثات الحالة من تور, طلب هوية جديدة, تكوين اعدادات تور,
إلخ. في كل مرة يقوم فيداليا بتشغيل تور, يقوم بضبط كلمة مرور عشوائية لمنفذ
تحكم تور لمنع التطبيقات الأخرى من الاتصال بمنفذ التحكم وإحتمالية كشف حالة
التخفّي الخاصة بك.
</p>

<p>
عادة تحدث عملية توليد وضبط كلمة مرور التحكم العشوائية هذه في الخلفية. هناك
ثلاث حالات شائعة، رغم ذلك, حيث قد يطالبك فيداليا بكلمة مرور:
</p>

<ul>
  <li>
    فيداليا وتور قيد التشغيل فعليا. على سبيل المثال: يمكن أن يحدث هذا الموقف إذا
قمت بتثبيت حزمة فيداليا والآن تحاول تشغيل حزمة متصفح تور. في هذه الحالة,
ستحتاج إلى إغلاق فيداليا وتور القدماء قبل أن تتمكن من تشغيل الحزمة الجديدة.
  </li>

  <li>
    <p>فشل فيداليا, لكنه ترك تور قيد التشغيل مع آخر كلمة مرور عشوائية معروفة. بعد
إعادة تشغيل فيداليا, يقوم بتوليد كلمة مرور عشوائية جديدة, لكن لن يتمكن
فيداليا من مخاطبة تور, لأن كلمات المرور العشوائية مختلفة.</p>
    
    <p>اذا إحتوى صندوق الحوار الذي يطالبك بكلمة مرور التحكم على زر<i>إعادة ضبط</i>
, يمكنك النقر على الزر وسيقوم فيداليا بإعادة تشغيل تور مع كلمة مرور تحكم
عشوائية جديدة.
    </p>
    
    <p>اذا كنت لا ترى زر <i>إعادة الضبط</i>, أو إذا كان فيداليا غير قادر على إعادة
تشغيل تور لك, لا يزال يمكنك حل المشكلة يدويا. ببساطة إذهب إلى عمليتك أو مدير
المهام, وقم بإنهاء عملية تور. ثم استخدم فيداليا لإعادة تشغيل تور وسوف يعمل
الجميع مرة أخرى.</p>
  </li>

  <li>
    <p>لقد قمت بضبط تور سابقا ليعمل كخدمة. عند ضبط تور للعمل كخدمة, يبدأ بالتشغيل
عند تشغيل النظام. إذا قمت بتكوين تور للبدء كخدمة من خلال فيداليا, يتم ضبط
كلمة مرور عشوائية وحفظها في تور. عند إعادة تشغيل الكمبيوتر, يبدأ تور
بالتشغيل ويستخدم كلمة المرور العشوائية التي خزّنها. يمكنك تسجيل الدخول وبدء
تشغيل فيداليا. يحاول فيداليا مخاطبة تور قيد التشغيل مسبقا. يقوم فيداليا
بتوليد كلمة مرور عشوائية, لكنها مختلفة عن كلمة المرور المحفوظة في خدمة تور.</p>
  
    <p>تحتاج الى إعادة تكوين تور حتى لا يكون خدمة. أنظر صفحة ويكي (wiki) حول تشغيل
<a
href="https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#WinNTService">
تور كخدمة</a> للمزيد من المعلومات حول كيفية إزالة خدمة تور.</p>
  </li>
</ul>


<a name="torexited"/> 
<h3>خروج تور بشكل غير متوقع</h3> 
<p> 
إذا خرج تور مباشرة بعد محاولة بدء تشغيل, من المرجح أن يكون لديك عملية تور
أخرى قيد التشغيل. تحقق من <a href="log.html">سجل الرسالة</a>لترى اذا كان أي
من الرسائل القليلة السابقة في القائمة بارزة باللون الأصفر وتحتوي على رسالة
مشابهة للتالي:
</p>
<pre>
connection_create_listener(): Could not bind to 127.0.0.1:9050: Address already in use. 
Is Tor already running?
</pre>
<p>
اذا وجدت رسالة خطأ مثل الرسالة أعلاه, سوف تحتاج إلى إيقاف عملية تور الأخرى
قبل بدء واحدة جديدة مع فيداليا. في ويندوز, أنت بحاجة الى البحث عن
<i>tor.exe</i> في مدير المهام الخاص بك. في معظم أنظمة التشغيل الأخرى, الأمر
<i>ps</i> يمكن أن يساعدك في العثور على عملية تور الاخرى.
</p>
<p>
اذا تم تشغيل تور بنجاح لفترة قصيرة (وهذا, أكثر من بضع ثواني), عندها ينبغي
عليك التحقق من <a href="log.html">سجل الرسالة</a> للحصول على معلومات حول أية
أخطاء إختبرها تور قبل خروجه. مثل هذه الأخطاء سوف تكون بارزة إمّا باللون
الأحمر أو الأصفر.
</p>

<a name="stop"/>
<h3>لا يستطيع فيداليا إيقاف تور</h3>
<p>
اذا لم يستطع فيداليا إيقاف تور, يجب عليك التحقق من <a href="log.html">سجل
الرسالة</a> الخاص بك لمعرفة اذا كان تور أبلغ عن أي أخطاء أثناء محاولته
الخروج.
</p>

</body>
</html>

